package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

/**
 * @Description 订单折扣VO
 * @Author: ph
 * @Date: 2019/12/4 10:41
 */
public class OrderDiscountVO implements Serializable {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("商品id")
    private String itemId;

    @ApiModelProperty("优惠级别")
    private Integer discountLevel;

    @ApiModelProperty("折扣id")
    private String discountId;

    @ApiModelProperty("折扣类型")
    private Integer discountType;

    @ApiModelProperty("折扣名称")
    private String discountName;

    @ApiModelProperty("折扣描述")
    private String discountSummary;

    @ApiModelProperty("折扣金额")
    private Integer discountAmount;

    @ApiModelProperty("扩展信息")
    private Map<String, Object> extraMap;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Integer getDiscountLevel() {
        return discountLevel;
    }

    public void setDiscountLevel(Integer discountLevel) {
        this.discountLevel = discountLevel;
    }

    public String getDiscountId() {
        return discountId;
    }

    public void setDiscountId(String discountId) {
        this.discountId = discountId;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public String getDiscountSummary() {
        return discountSummary;
    }

    public void setDiscountSummary(String discountSummary) {
        this.discountSummary = discountSummary;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
